(BFILE)

 Seznámení s programem

Program BFile je určen k pravidelnému zálohování vybraných souborů složek a to včetně podadresářů.
Zálohování spočívá v komprimaci složky metodou ZIP případně překopírováním sledované složky do cílového adresáře dle předem nastaveného plánu.
Výstupní soubor zálohy má jedinečné jméno, např.: 2004_12_03_19_01_32.zip (rok_měsíc_den_hodina_minuta_sekunda).

    Možnosti plánování:
    • intervalem (např. každých 15 min.)
    • náhodně (automatické generování intervalu dle nastavitelného časového rozsahu)
    • denně (např. každý den v 15:30)
    • týdně (např. každé úterý v 11:00)
    • měsíčně (např. každý třetí den v měsíci ve 12:00)
    • automaticky (k záloze dojde po změně souborů, např. po jeho editaci, smazání apod.)
    Možnosti zálohování:
    • vše
    • rozdílové zálohy - zálohuje pouze změny
    • zrcadlení souborů - synchonizace jednotlivých složek
    Program také obsahuje několik funkcí a pomůcek usnadňujících práci
    se zálohami a soubory. Např.:
    • zálohování po spuštění systému
    • podmíněné kopírování souborů
      (přírustkové, při změně data či rozdílné velikosti)
    • hromadné přejmenování souborů
    • filtrování zálohovaných souborů (podle přípony nebo jmen souborů)
    • odeslání výsledku zálohování emailem
    • zálohování pouze rootu zálohovaného adresáře
    • zálohování všech podadresářů sledované složky

Program je šířen jako shareware. Omezení spočívá v tom, že lze založit pouze jednu úlohu pro zálohování. Po registraci, která je zdarma, můžete vytvářet libovolné množství úloh.

Jestliže se vám program líbí, případně chcete-li přispět na jeho další rozvoj, můžete složit libovolný finanční dar na účet: 86-4784520247/0100.
Tento dar je samozřemě dobrovolný.


 Popis Menu - Soubor

Skrýt (Esc)
Skryje program do tray ikony

Export
Umožní uložit do souborů informace o programu

Konec
Ukončí běh programu


 Popis Menu - Úloha

Nová... (Ins)
Umožní zadat informace pro vytvoření nové úlohy

Změna stavu
Zapne nebo vypne spouštění zálohování vybrané úlohy

Editace (Enter)
Umožní změnit konfiguraci úlohy

Smazat (Del)
Smaže vybranou úlohu

Vlastnosti
Vypíše informace o úlohách


 Popis Menu - Akce

Záloha (Ctrl+Z)
Spustí zálohování vybrané úlohy

Vlastní záloha (Ctrl+U)
Spustí zálohování vybrané úlohy s možností zadání vlastního jména souboru

Aktivovat vše
Aktivuje všechny úlohy

Deaktivovat vše
Deaktivuje všechny úlohy

Vše přepnout
Neguje stavy jednotlivých úloh

Zazálohovat vše
Spustí zálohování všech úloh

Zazálohovat aktivní
Spustí zálohování všech aktivních úloh


 Popis Menu - Log

Uložit
Uloží obsah logu do souboru

Smazat
Smaže obsah logu


 Popis Menu - Nastavení

Spouštět po startu
Je-li položka zaškrtnuta, program bude spouštěn automaticky po startu windows

Před odinstalováním programu je nutné zaškrtnutí této položky zrušit

Minimalizovat po spuštění
Pokud je položka zaškrtnuta, bude program ihned po spuštění minimalizován to tray ikony

Rozšíření exploreru
Pokud je položka zaškrtnuta, bude k popup-menu systému přidána nová položka, umožňující přímé zakládání úloh pro jednotlivé adresáře

Před odinstalováním programu je nutné zaškrtnutí této položky zrušit

Možnosti
Zobrazí další možnosti nastavení programu


 Popis Menu - Nástroje

Definice aliasů
Umožní definovat často používané adresáře

Přejmenování souborů
Umožní hromadně přejmenovat soubory ve vybraných složkách

Mazání záloh
Smaže vybrané zálohy

Generování struktury
Zobrazí adresářovou strukturu pro vybranou složku

Podmíněné kopírovaní
Kopíruje soubory po splnění nastavených kritérií

Záloha BFile
Zazálohuje BFile

Stažení nové verze
Stáhne z internetu novou verzi programu


 Popis Menu - Nápověda

Nápověda
Zobrazí tuto nápovědu

Hlášení chyby
Umožní odeslat email autorovi s popisem chyby programu

Registrace
Zobrazí dialog pro zadání registračního čísla

O programu
Otevře dialog s informacemi o programu


 Popis programu - Založení nové úlohy
Novou úlohu lze založit několika způsoby:
  • kliknutím na položku v menu Nová úloha
  • stiskutím klávesy Insert,
  • kliknutím na položku v toolbaře [image].
  • prostým přetažením adresáře (drag & drop)

  • Jméno - uživatelský identifikátor zálohy (používá se např. ve výpisu logu)
  • Adresář zálohy - určuje složku, jejíž obsah bude zálohován. Adresář lze zapsat ručně nebo vybrat tlačítkem "...". Jsou-li definovány aliasy, je jejich seznam zobrazen v combu.
  • Adresář pro ukládání - určuje složku, do které budou zálohy ukládány. Adresář lze zapsat ručně nebo vybrat tlačítkem "...". Pokud složka neexistuje,bude automaticky vytvořena.
  • Filtry souborů - jména souborů nebo přípon oddělených středníkem. Tlačítkem "..." lze vybrat jednotlivé soubory či seznam souborů, tlačítkem ".*" lze vybrat soubory, ze kterých budou extrahovány přípony.
  • Možnosti úlohy
    • Zazálohovat při spuštění - po spuštění programu dojde ke spuštění zálohování nezávisle na tom, je-li úloha aktivní
    • Zálohovat včetně podadresářů - určuje, zda se do zálohy zahrnou i podadresáře
    • Komprimovat soubory - nebude-li checkbox zatžen, budou soubory pouze kopírovány do příslušného adresáře
  • Typy úloh
    • Zrcadlit soubory - cílový adresář je synchronizován se zdrojovým
    • Rozdílové zálohy- zálohovány budou pouze soubory změněné od poslední zálohy
    • Automatické zálohování - při této volbě bude ignorován časový interval. K záloze dojde v případě změny souborů (přejmenování, editace, smazání, ...), které jsou obsaženy ve složce "Adresář zálohy"
  • Možnosti plánování
    • Intervalem - časový interval, po jehož uplynutí dojde ke spuštění zálohování úlohy
    • Náhodně - program generuje časový interval automaticky v rozmezí 15min. až do zadané hodnoty. Po vypršení času je generován nový interval.
    • Týdně - záloha bude provedena v nastavený den v týdnu a hodinu. V případě zatržení checkboxu Každý den bude záloha spuštěna denně v nastavenou hodinu
    • Měsíčně - záloha bude provedena každý měsíc nastaveného dne a hodinu

    Po stisknutí tlačítka OK dojde k uložení úlohy a zavření dialogového okna. V závislosti na hodnotě přepínače "Spustit" dojde k aktivaci časovače úlohy či sledování adresářů.

    Již uloženu úlohu lze editovat v seznamu úloh hlavního okna stiskem klávesy Enter


 Popis programu - Možnosti a nastavení úlohy
Editace úlohy
Úlohu lze editovat vybráním řádku v seznamu úloh a stisktutím klávesy Enter, případně z menu, položkou Editace úlohy nebo kliknutím na [image] v toolbaře

Spuštění / zastavení úlohy
Lze změnit kliknutím na přepínač v seznamu úloh

Spuštění vlastní zálohy
Po kliknutí na položku v menu Možnosti - Vlastní záloha dojde k otevření dialogového okna pro zadání jména souboru. Po stisku tlačítka OK dojde k provedení vybrané zálohy již pod novým jménem

Spuštění zálohy
Po kliknutí na položku v menu Možnosti - Záloha dojde k provedení zálohy vybraného řádku


 Popis programu - Skrytí programu
Po stisknutí tlačítka [image] dojde ke skrytí okna programu, který je však nadále spuštěn a je indikován malou ikonou v oznamovací oblasti systému:

Obnovit okno lze kliknutím levého tlačítka myši na ikonu nebo vyvoláním popup menu (pravým tlačítkem) a vybráním položky obnovit. K dispozici jsou následující volby:

  • Obnovit - znovu zobrazí okno programu
  • Spustit vše - aktivuje všechny úlohy
  • Zastavit vše - deaktivuje všechny úlohy
  • O programu - otevře dialog s informacemi o programu
  • Konec - ukončí běh programu


 Popis programu - Nastavení
Automatické spouštění programu
Je-li vybrána položka v menu Nastavení - Spouštět po startu , bude program automaticky spouštěn po startu windows. Jsou-li nastaveny některé úlohy jako aktivní, budou aktivovány

Před odinstalováním programu je nutné zaškrtnutí této položky zrušit

Minimalizace programu po spuštění
Je-li vybrána položka v menu Nastavení - Minimalizace po spuštění, bude program ihned po spuštění minimalizován do tray ikony.

Rozšíření exploreru
Je-li vybrána položka v menu Nastavení - Rozšíření exploreru, bude k systémovému popup-menu přidána nová položka umožňující zadávání nových úloh přímo nad vybraným adresářem.

Před odinstalováním programu je nutné zaškrtnutí této položky zrušit

Možnosti
  • Barvy - umožní nastavit barvy použité v zobrazení seznamu úloh a ve výpisu logu
  • Zvuky - definuje přehrávání zvuků
  • Email - umožňuje nastavení emailu(ů), který se má odeslat po dokončení zálohovaní. Např. po zálohovaní na serveru bude na klientský počítač odeslána informace o stavu zálohování.


 Popis programu - Nástroje
Pro usnádnění práce se zálohami, nabízí program několik drobných pomůcek:

Mazání záloh
Okno zobrazuje seznam všech adresářů pro ukládání záloh. Po zaškrtnutí příslušných checkboxů a stisknutí tlačítka [image] dojde ke smazání všech archívů v daném adresáři.
ZIP soubor s nejnovějším datem nebude smazán.
Generování struktury
Okno umožňuje textově zobrazit obsah příslušných adresářů. Ke každému souboru je navíc přidána informace o jeho velikosti a o datu.

K dispozici jsou tyto funkce:
Vygeneruje adresářovou strukturu
Uloží osah okna do souboru
Načte adresář pro generování
Zavře dialog
Definice aliasů
Okno umožňuje definovat často používané adresáře. Nadefinovaný seznam lze využít při editaci úloh.

K dispozici jsou tyto funkce:
Založí nový alias
Přejmenuje alias
Smaže alias
Přidá cestu
Přidá cesty
Vygeneruje uživatelské adresáře
Odstraní vybranou cestu
Zavře dialog
Přejmenování souborů
Dialog umožňuje dávkové přejmenování souborů ve vybraném adresáři.
Z bezpečnostních důvodů není povoleno přejmenovat soubory v kořenovém adresáři disku C, tj. Cesta s hodnotou "C:\" bude ignorována.
Podmíněné kopírování
Okno umožňuje překopírování souborů ze Zdrojového adresáře do Cílového adresáře za předpokladu, že cílový soubor neexistuje (defaultní nastavení), má rozdílnou velikost či starší datum.

K dispozici jsou tyto funkce:
Spustí kopírování
Uloží log
Zavře okno
Záloha BFile
Do vybraného adresáře lze pomocí tlačítka Záloha zazálohovat celý adresář programu. V případě zatrženého checkboxu Pouze konfigurace dojde k záloze souboru BFile.xml


 Popis programu - Registrace
Program BFile je šířen jako shareware s jistým omezením. Chcete-li využít všech možností, které program nabízí, zaštele email na adresu JSperl@seznam.cz s předmětem "Registrace BFile" a v co nejbliží době dostanete zdarma email s registračním kódem.

Autor se zavazuje, k tomu, že předané informace nebudou předávány dalším subjektům. Registrace je dobrovolná a slouží pouze ke zjištění (přibližného) počtu uživatelů.

Doručený kód zadejte do registračního dialogu, který se otevře po stisknutí tlačítka v menu Nápověda/Registrace


 Informace
Program je vytvořen v jazyce C++ za použití vývojového prostředí Microsoft Visual C++ .Net a knihovny MFC pod OS Windows XP Home.

Obsah instalačního adresáře:
  • BFile.exe - vlastní program
  • BFile.chm - nápověda
  • BFile.xml - nastavení jednotlivých úloh
  • smabf.exe - pomocný program pro aktualizace z internetu
  • unins.dat - odinstalační informace
  • unins.exe - odinstalační program


 Licenční ujednání

LICENČNÍ SMLOUVA S KONCOVÝM UŽIVATELEM PROGRAMU BFILE

Tato licenční smlouva je smlouvou mezi vámi, fyzickou nebo právnickou osobou a autorem programu Jiřím Šperlem a týká se programu BFile. Instalací, kopírováním nebo jiným použitím softwaru potvrzujete, že souhlasíte s podmínkami této smlouvy a jste jimi vázáni. Pokud s podmínkami této smlouvy nesouhlasíte, nejste oprávněni tento softwarový produkt používat.

UDĚLENÍ LICENCE NA SOFTWAROVÝ PRODUKT
Na základě této smlouvy jsou vám udělena následující práva:
a) Právo k instalaci a užívání. Máte právo instalovat a používat kopie softwarového produktu a to jak pro osobní potřebu, tak i v komerční sféře
b) V žádném případě nemáte právo softwarový produkt prodávat či jinak šířit za účelem zisku bez souhlasu autora.

ZÁRUKA
Autor výslovně neposkytuje žádnou záruku na softwarový produkt. Program BFile je k dispozici "tak, jak je". Není na něj žádná záruka. Používání programu je na vaši vlastní odpovědnost. Autor nebude zodpovědný za ztrátu nebo zničení dat, ušlý zisk nebo jakýkoliv jiný druh ztráty spojený s užíváním tohoto programu.


 Kontakt
Program BFile je stále ve stádiu vývoje, takže s případnými návrhy na zlepšení funkčnosti či chybami můžete využít nasledujících kontaktů:

e-mail:JSperl@seznam.cz
web: http://www.sweb.cz/JSperl
GSM: 603/111 658